%global modname rtstool
%global modver 0.1a3

Name:           python-%{modname}
License:        AGPLv3
Summary:        Command-line interface for rtslib
Version:        0.1
Release:        0.3.a3%{?dist}
URL:            https://github.com/eharney/%{modname}/
Source:         https://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{modver}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-rtslib

%description
A command-line interface for rtslib, used to manage iSCSI targets

%prep
%setup -q -n %{modname}-%{modver}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man8
install -p -D -m 644 rtstool.8 %{buildroot}%{_mandir}/man8/

%files
%{_bindir}/rtstool
%{python_sitelib}/*
%doc COPYING
%doc %{_mandir}/man8/rtstool.8.gz

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.a3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.2.a3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 26 2013 Eric Harney <eharney@redhat.com> - 0.1-0.1.a3
- Initial packaging
